Summary: psh combines aspects of traditional shells with the power of Perl
Name: psh
Version: 0.010pre1
Release: 1
Group: System Environment/Shells
Source:	http://www.focusresearch.com/gregor/psh/%{name}-%{version}.tar.gz
URL: http://www.focusresearch.com/gregor/psh/
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
License: GPL
Packager: Ian Macdonald <ian@caliban.org>
# provide Perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description
The Perl Shell (psh) combines aspects of bash and other shells with the power
of Perl scripting. It aspires to be your primary login shell.

%prep
%setup

%build
perl Makefile.PL
make 

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} install
gzip -9n $RPM_BUILD_ROOT/%{_mandir}/man1/psh{,complete,config,devel}.1
find $RPM_BUILD_ROOT -type f | grep -v 'perllocal\.pod' | \
     sed "s@$RPM_BUILD_ROOT@@; s@\(.*3pm\)@\1.gz@" > files

%post
if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/psh" >> /etc/shells
else
    grep '^%{_bindir}/psh$' /etc/shells > /dev/null || \
	echo "%{_bindir}/psh" >> /etc/shells
fi

%postun
if [ ! -x %{_bindir}/psh ]; then
    grep -v "^%{_bindir}/psh$" /etc/shells > /etc/shells.rpm
    mv -f /etc/shells.rpm /etc/shells
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files
%defattr(-,root,root)
%doc CHANGES.pod COPYRIGHT HACKING INSTALL README README.upgrade RELEASE TODO
%doc examples/ pshrc

%changelog
* Thu Dec 13 2001 Ian Macdonald <ian@caliban.org>
- 0.010pre1
- provide Perl-specific find-{provides,requires}

* Tue Dec  4 2001 Ian Macdonald <ian@caliban.org>
- use macros, added URL

* Fri Jan  5 2001 Ian Macdonald <ian@caliban.org>
- 0.009

* Thu Nov  9 2000 Ian Macdonald <ian@caliban.org>
- cleaned up spec file to use \%{_mandir}

* Thu Aug 17 2000 Ian Macdonald <ian@caliban.org>
- added %post & %postun sections

* Fri Aug  4 2000 Ian Macdonald <ian@caliban.org>
- 0.008
